// Copyright F3 Authors
// SPDX-License-Identifier: MIT

package f3

import (
	"context"

	"github.com/stretchr/testify/assert"
)

type TestingT interface {
	assert.TestingT
	TempDir() string
	Skip(args ...any)
	FailNow()
	Context() context.Context
}
